/*
 * Copyright (c) Huawei Technologies Co., Ltd. 2020-2024. All rights reserved.
 */

#ifndef JAC_AP_EMSERVICE_EMSERVICE_COMMON_H
#define JAC_AP_EMSERVICE_EMSERVICE_COMMON_H

#include "ara/com/types.h"
#include "ara/com/init_config.h"
#include "dpc/impl_type_targetsinfo.h"
#include "dpc/impl_type_targetinfo.h"
#include "dpc/impl_type_roadedgeinfo.h"
#include "dpc/impl_type_lanemarkerinfo.h"
#include "dpc/impl_type_roadinfo.h"
#include "dpc/impl_type_rmheader.h"
#include "dpc/impl_type_index.h"
#include "dpc/impl_type_carposition.h"
#include "dpc/impl_type_lane.h"
#include "dpc/impl_type_lanemarker.h"
#include "dpc/impl_type_object.h"
#include "dpc/impl_type_roadedge.h"
#include "dpc/impl_type_neighborlane.h"
#include "dpc/impl_type_corridor.h"
#include "dpc/impl_type_samplingpoint.h"
#include "dpc/impl_type_linecolor.h"
#include "dpc/impl_type_linetype.h"
#include "dpc/impl_type_objectlocation.h"
#include "dpc/impl_type_slpoint.h"
#include "dpc/impl_type_lanecontrol.h"
#include "dpc/impl_type_laneboundary.h"
#include "dpc/impl_type_linegeometry.h"
#include "dpc/impl_type_roadedgesegment.h"
#include "dpc/impl_type_laneinfo.h"
#include "dpc/impl_type_leftline.h"
#include "dpc/impl_type_rightline.h"
#include "dpc/impl_type_rightroadedge.h"
#include "dpc/impl_type_leftroadedge.h"
#include "dpc/impl_type_oddinfo.h"
#include "dpc/impl_type_rmegolftlnegeometry.h"
#include "dpc/impl_type_rmegorgtlnegeometry.h"
#include "dpc/impl_type_rmrdedgelftgeometry.h"
#include "dpc/impl_type_rmrdedgergtgeometry.h"
#include "dpc/impl_type_rmsmmessage.h"
#include <cfloat>
#include <cmath>

namespace jac {
namespace ap {
namespace emservice {

class EMService {
public:
    constexpr EMService() = default;
    constexpr static ara::com::ServiceIdentifierType ServiceIdentifier = ara::com::ServiceIdentifierType("/huawei/ap/Service/instance/EMService");
    constexpr static ara::com::ServiceVersionType ServiceVersion = ara::com::ServiceVersionType("1.1");
};
} // namespace emservice
} // namespace ap
} // namespace jac

#endif // JAC_AP_EMSERVICE_EMSERVICE_COMMON_H
